<?php
include("../include/session.php");

$userId = $_SESSION['username'];
date_default_timezone_set('Africa/Gaborone');
$entryDate = date("Y-m-d H:i:s", time());

$table_name = $_SESSION['db_prefix']."_job_return";
$add_supply_query = "SELECT job_return_no  FROM $table_name ORDER BY job_return_no DESC LIMIT 1  ";
$add_supply_result = mySQL_query($add_supply_query);
$add_supply_num = mysql_num_rows($add_supply_result);
if ($add_supply_num!=0) {
$job_return_no = mysql_result($add_supply_result, 0, "job_return_no");
}
else {
	$job_return_no=0;
}
$job_return_no=$job_return_no+1;


$table_name = $_SESSION['db_prefix']."_job_return";
$supply_query = "INSERT INTO $table_name (job_return_no, job_card_no, issue_date,  issued_to, authorised_by ) VALUES ( '".$job_return_no."', '".$_SESSION['job_card_no']."', '".$_SESSION['issue_date']."',  '".$_SESSION['issued_to']."', '".$_SESSION['authorised_by']."' ) ";
execsql($supply_query);

$table_name = $_SESSION['db_prefix']."_job_return";
$supply_id_query = "SELECT job_return_id  FROM $table_name ORDER BY job_return_id DESC LIMIT 1  ";
$supply_id_result = mySQL_query($supply_id_query);
$job_return_id = mysql_result($supply_id_result, 0, "job_return_id");

	

$table_name3 = $_SESSION['db_prefix']."_job_return_lines_temp";
$items_query = "SELECT * FROM $table_name3 WHERE  user_name =  '".$_SESSION['username']."' ";
$items_result = mySQL_query($items_query);
$items_num = mysql_num_rows($items_result);

$i=0;
while ($i<$items_num) {
   $store_item_id = mysql_result($items_result, $i, "store_item_id");
   $quantity = mysql_result($items_result, $i, "quantity");
   $price = mysql_result($items_result, $i, "price");
   $to_return = mysql_result($items_result, $i, "to_return");
   $store_reg_id = mysql_result($items_result, $i, "store_reg_id");
   
   $table_name2 = $_SESSION['db_prefix']."_store_items";
   $stock_total_query = "SELECT item_name, quantity, register FROM $table_name2 WHERE store_item_id = '".$store_item_id."'";
   $stock_total_result = mySQL_query($stock_total_query);
   $total_quantity = mysql_result($stock_total_result ,0, "quantity");
   $item_name = mysql_result($stock_total_result ,0, "item_name");
   $register = mysql_result($stock_total_result ,0, "register");

   $table_name4 = $_SESSION['db_prefix']."_job_return_lines";  
   $insert_item_query = "INSERT INTO $table_name4 (job_card_no, job_return_id, store_item_id, quantity, price, issue_date, stock_return, store_reg_id ) VALUES ('".$_SESSION['job_card_no']."', '".$job_return_id."', '".$store_item_id."', '".$quantity."', '".$price."', '".$_SESSION['issue_date']."', '".$to_return."', '".$store_reg_id."'  ) ";
execsql($insert_item_query);


if ($to_return=='yes') { 
   $table_name2 = $_SESSION['db_prefix']."_store_items";
   $stock_total_query = "SELECT quantity FROM $table_name2 WHERE store_item_id = '".$store_item_id."'";
   $stock_total_result = mySQL_query($stock_total_query);
   $total_quantity = mysql_result($stock_total_result ,0, "quantity");
   $total_quantity = $total_quantity + $quantity;
      
   $stockQuery = "UPDATE $table_name2 SET quantity = '".$total_quantity."' , lastModDate = '".$_SESSION['issue_date']."' WHERE store_item_id = '".$store_item_id."'";
   $stockResult = mySQL_query($stockQuery);
   }
   else {
	 $total_quantity=0;
   }
   
if ($to_return=='yes') {   
     if ($register=='yes') {
		  	$table_name = $_SESSION['db_prefix']."_store_register";
			$register_query = "UPDATE $table_name SET job_card = NULL, delivery_date = '0000-00-00', supply_date = '0000-00-00', add_supply_date = '0000-00-00', return_date = '0000-00-00' , maintenance = '' WHERE store_register_id = '".$store_reg_id."'";
			execsql($register_query);
	  }
	  }
	 else {
		 if ($register=='yes') { 
		  	$table_name = $_SESSION['db_prefix']."_store_register";
			$register_query = "UPDATE $table_name SET return_date = '".$entryDate."' WHERE store_register_id = '".$store_reg_id."'";
			execsql($register_query);
	 }
	 }
	 
$table_name = $_SESSION['db_prefix']."_order_job_lines";
	$job_query = "INSERT INTO $table_name (job_card_no, store_item_id, item_name, quantity, price, delivered, delivered_price, misc, store_reg_id ) VALUES ('".$_SESSION['job_card_no']."', '".$store_item_id."', '".$item_name."', '0', '0.00', '-".$quantity."', '".$price."', 'return', '".$store_reg_id."'   ) ";
	execsql($job_query);	

$table_name2 = $_SESSION['db_prefix']."_item_history";	
$historyQuery = "INSERT INTO $table_name2 (store_item_id, entry, reference, reference_2, reference_3, quantity, total, price, date, entryDate, userId) VALUES ('".$store_item_id."', '34', '".$_SESSION['job_card_no']."','".$job_return_id."', '".$job_return_no."', '".$quantity."', '".$total_quantity."', '".$price."', '".$_SESSION['issue_date']."','".$entryDate."','".$_SESSION['username']."')";
$historyResult = mySQL_query($historyQuery);


$i++;
}
	
$table_name = $_SESSION['db_prefix']."_tracking_store";
$trackingQuery = "INSERT INTO $table_name (entry_date, user_name, action, details_1, details_2, details_3, details_4) VALUES ('".$entryDate."' ,'".$_SESSION['username']."', '88', '".$job_return_id."', '".$_SESSION['job_card_no']."' ,'','' )";
$trackingResult = mySQL_query($trackingQuery);	


$table_name = $_SESSION['db_prefix']."_job_return_lines_temp";
$delete2_query = "DELETE FROM $table_name WHERE  user_name =  '".$_SESSION['username']."' "; 
execsql($delete2_query);

	
	if (isset($_GET['new_button']) )
	   {
		 $action='returnWiz0.php';
	   }
		 
	if (isset($_GET['finish_button']) )
	  {
		$action='job_return.php?job_return_no='.$job_return_no;
	  }
	
 $_SESSION['job_card_no'] = '';	
	 $_SESSION['additional_note'] = '';	
     $_SESSION['issue_date']  = date("Y-m-d");
	 	 
	 $_SESSION['authorised_by' ]= '';
	 $_SESSION['issued_to'] = '';
	 
	 $_SESSION['store_item_id'] = '';
	 $_SESSION['store_item_name'] = '';
	 
	 $_SESSION['purchase_line_id'] = '';
	 $_SESSION['sup_name'] = '';
	 $_SESSION['total'] = '';
	 
	 $_SESSION['value'] = '';
	 

	
?>

<script language="javascript" type="text/javascript">
        
		  window.location="<?php echo $action?>";
        
       </script>

